summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-p2p/qbittorrent
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-p2p/qbittorrent')
-rw-r--r--net-p2p/qbittorrent/Manifest3
-rw-r--r--net-p2p/qbittorrent/metadata.xml16
-rw-r--r--net-p2p/qbittorrent/qbittorrent-3.1.12.ebuild63
-rw-r--r--net-p2p/qbittorrent/qbittorrent-3.1.9.2-r1.ebuild58
-rw-r--r--net-p2p/qbittorrent/qbittorrent-3.2.0.ebuild81
-rw-r--r--net-p2p/qbittorrent/qbittorrent-9999.ebuild81
6 files changed, 302 insertions, 0 deletions
diff --git a/net-p2p/qbittorrent/Manifest b/net-p2p/qbittorrent/Manifest
new file mode 100644
index 00000000000..eb7cb672aaa
--- /dev/null
+++ b/net-p2p/qbittorrent/Manifest
@@ -0,0 +1,3 @@
+DIST qbittorrent-3.1.12.tar.xz 2465744 SHA256 d5d5b27958297f0b14cf03af8dd24a0d2a990e108c9a7a6159e4a2fbb1111c83 SHA512 af7cbb1a3158cd1fd6c28f17f1dbb62d94c9d192068b5a683b6b0e19e43664f3d312da055c5c19de75b5849c812b7aa9a0c966a7e464c120e0006bb1ea5a6e5a WHIRLPOOL 632fabec4c33104e55c73433028923033e65f37624aba37649e4f6f5593038fa9868e48787db7b1659690456835fc55dc542510d2f60732c66452d3c748508bf
+DIST qbittorrent-3.1.9.2.tar.xz 2231708 SHA256 b07ccdbe1ae079f781c62aff21d47183ae35a8d4e96f43f90503978d1830a361 SHA512 8437fb695fb720132d131e44727c28af46c651576d5321423142c190120c59cc6439f5df2e90486274956d253db657fcbd217a834e3ca53d7681919fee7a2504 WHIRLPOOL e4b00027a57fbce49a9ddcaf6e60fccfabb65393531620afa0416249148e9e17d43398a1016fcf04695d0fa7d0a7b970e5beee0a4ab4e6ff06e6f8c23c90154f
+DIST qbittorrent-3.2.0.tar.xz 2595372 SHA256 51781cb121ebeda041fb348e649c4bd97888ee8c1d18328bc547d447b960d1b3 SHA512 0e652a4045d2e034611484009c1ce60c0b365fb6030356ac740555bca3e77f901228a24f21fddc87501f39b737ac15cfff4d3d9a18c913ab03df4d90ceb48634 WHIRLPOOL 5c3d215735a70fcbe01773d3a6676209719d91b25ee5ac68f12767fdfd1108626556802cb58f5e698a80607ad3550b5dea0c97670fdc3d6a4975546da3436b1b
diff --git a/net-p2p/qbittorrent/metadata.xml b/net-p2p/qbittorrent/metadata.xml
new file mode 100644
index 00000000000..c8a92f8ac1c
--- /dev/null
+++ b/net-p2p/qbittorrent/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>net-p2p</herd>
+ <herd>qt</herd>
+ <maintainer>
+ <email>hwoarang@gentoo.org</email>
+ <name>Markos Chandras</name>
+ </maintainer>
+ <use>
+ <flag name="webui">Enable the Web UI</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">qbittorrent</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/net-p2p/qbittorrent/qbittorrent-3.1.12.ebuild b/net-p2p/qbittorrent/qbittorrent-3.1.12.ebuild
new file mode 100644
index 00000000000..5ce4e4820ea
--- /dev/null
+++ b/net-p2p/qbittorrent/qbittorrent-3.1.12.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils python-r1 qt4-r2
+
+DESCRIPTION="BitTorrent client in C++ and Qt"
+HOMEPAGE="http://www.qbittorrent.org/"
+MY_P=${P/_}
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~ppc64 ~x86"
+
+IUSE="dbus debug geoip +X"
+
+# geoip and python are runtime deps only (see INSTALL file)
+CDEPEND="
+ dev-libs/boost:=
+ dev-qt/qtcore:4
+ >=dev-qt/qtsingleapplication-2.6.1_p20130904-r1[qt4(+),X?]
+ >=net-libs/rb_libtorrent-0.16.17
+ <net-libs/rb_libtorrent-1.0.0
+ dbus? ( dev-qt/qtdbus:4 )
+ X? ( dev-qt/qtgui:4 )
+"
+DEPEND="${CDEPEND}
+ virtual/pkgconfig
+"
+RDEPEND="${CDEPEND}
+ ${PYTHON_DEPS}
+ geoip? ( dev-libs/geoip )
+"
+
+S=${WORKDIR}/${MY_P}
+DOCS=(AUTHORS Changelog README.md TODO)
+
+src_prepare() {
+ epatch_user
+ qt4-r2_src_prepare
+}
+
+src_configure() {
+ # Custom configure script, econf fails
+ local myconf=(
+ ./configure
+ --prefix="${EPREFIX}/usr"
+ --with-libboost-inc="${EPREFIX}/usr/include/boost"
+ --with-qtsingleapplication=system
+ $(use dbus || echo --disable-qt-dbus)
+ $(use debug && echo --enable-debug)
+ $(use geoip || echo --disable-geoip-database)
+ $(use X || echo --disable-gui)
+ )
+
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die "configure failed"
+ eqmake4
+}
diff --git a/net-p2p/qbittorrent/qbittorrent-3.1.9.2-r1.ebuild b/net-p2p/qbittorrent/qbittorrent-3.1.9.2-r1.ebuild
new file mode 100644
index 00000000000..ac731cf31d5
--- /dev/null
+++ b/net-p2p/qbittorrent/qbittorrent-3.1.9.2-r1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-r1 qt4-r2
+
+DESCRIPTION="BitTorrent client in C++ and Qt"
+HOMEPAGE="http://www.qbittorrent.org/"
+MY_P=${P/_}
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 arm ~ppc64 x86"
+
+IUSE="dbus debug geoip +X"
+
+# geoip and python are runtime deps only (see INSTALL file)
+CDEPEND="
+ dev-libs/boost:=
+ dev-qt/qtcore:4
+ >=dev-qt/qtsingleapplication-2.6.1_p20130904-r1[qt4(+),X?]
+ >=net-libs/rb_libtorrent-0.16.17
+ <net-libs/rb_libtorrent-1.0.0
+ dbus? ( dev-qt/qtdbus:4 )
+ X? ( dev-qt/qtgui:4 )
+"
+DEPEND="${CDEPEND}
+ virtual/pkgconfig
+"
+RDEPEND="${CDEPEND}
+ ${PYTHON_DEPS}
+ geoip? ( dev-libs/geoip )
+"
+
+S=${WORKDIR}/${MY_P}
+DOCS=(AUTHORS Changelog README TODO)
+
+src_configure() {
+ # Custom configure script, econf fails
+ local myconf=(
+ ./configure
+ --prefix="${EPREFIX}/usr"
+ --with-libboost-inc="${EPREFIX}/usr/include/boost"
+ --with-qtsingleapplication=system
+ $(use dbus || echo --disable-qt-dbus)
+ $(use debug && echo --enable-debug)
+ $(use geoip || echo --disable-geoip-database)
+ $(use X || echo --disable-gui)
+ )
+
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die "configure failed"
+ eqmake4
+}
diff --git a/net-p2p/qbittorrent/qbittorrent-3.2.0.ebuild b/net-p2p/qbittorrent/qbittorrent-3.2.0.ebuild
new file mode 100644
index 00000000000..5ae750bcc86
--- /dev/null
+++ b/net-p2p/qbittorrent/qbittorrent-3.2.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils python-r1 qt4-r2
+
+DESCRIPTION="BitTorrent client in C++ and Qt"
+HOMEPAGE="http://www.qbittorrent.org/"
+
+MY_P=${P/_}
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/${PN}/qBittorrent.git"
+else
+ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.xz"
+ KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+dbus debug +qt4 qt5 webui +X"
+REQUIRED_USE="
+ ^^ ( qt4 qt5 )
+ dbus? ( X )
+"
+
+CDEPEND="
+ dev-libs/boost:=
+ >=dev-qt/qtsingleapplication-2.6.1_p20130904-r1[qt4?,qt5?,X?]
+ >=net-libs/rb_libtorrent-1.0.0
+ sys-libs/zlib
+ qt4? (
+ dev-qt/qtcore:4
+ dbus? ( dev-qt/qtdbus:4 )
+ X? ( dev-qt/qtgui:4 )
+ )
+ qt5? (
+ dev-qt/linguist-tools:5
+ dev-qt/qtcore:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtxml:5
+ dbus? ( dev-qt/qtdbus:5 )
+ X? ( dev-qt/qtgui:5
+ dev-qt/qtwidgets:5 )
+ )
+"
+DEPEND="${CDEPEND}
+ virtual/pkgconfig
+"
+RDEPEND="${CDEPEND}
+ ${PYTHON_DEPS}"
+
+S=${WORKDIR}/${MY_P}
+DOCS=(AUTHORS Changelog README.md TODO)
+
+src_prepare() {
+ epatch_user
+ qt4-r2_src_prepare
+}
+
+src_configure() {
+ # Custom configure script, econf fails
+ local myconf=(
+ ./configure
+ --prefix="${EPREFIX}/usr"
+ --with-qtsingleapplication=system
+ $(use dbus || echo --disable-qt-dbus)
+ $(use debug && echo --enable-debug)
+ $(use qt5 && echo --with-qt5)
+ $(use webui || echo --disable-webui)
+ $(use X || echo --disable-gui)
+ )
+
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die "configure failed"
+ use qt4 && eqmake4
+ use qt5 && eqmake5
+}
diff --git a/net-p2p/qbittorrent/qbittorrent-9999.ebuild b/net-p2p/qbittorrent/qbittorrent-9999.ebuild
new file mode 100644
index 00000000000..5ae750bcc86
--- /dev/null
+++ b/net-p2p/qbittorrent/qbittorrent-9999.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils python-r1 qt4-r2
+
+DESCRIPTION="BitTorrent client in C++ and Qt"
+HOMEPAGE="http://www.qbittorrent.org/"
+
+MY_P=${P/_}
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/${PN}/qBittorrent.git"
+else
+ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.xz"
+ KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+dbus debug +qt4 qt5 webui +X"
+REQUIRED_USE="
+ ^^ ( qt4 qt5 )
+ dbus? ( X )
+"
+
+CDEPEND="
+ dev-libs/boost:=
+ >=dev-qt/qtsingleapplication-2.6.1_p20130904-r1[qt4?,qt5?,X?]
+ >=net-libs/rb_libtorrent-1.0.0
+ sys-libs/zlib
+ qt4? (
+ dev-qt/qtcore:4
+ dbus? ( dev-qt/qtdbus:4 )
+ X? ( dev-qt/qtgui:4 )
+ )
+ qt5? (
+ dev-qt/linguist-tools:5
+ dev-qt/qtcore:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtxml:5
+ dbus? ( dev-qt/qtdbus:5 )
+ X? ( dev-qt/qtgui:5
+ dev-qt/qtwidgets:5 )
+ )
+"
+DEPEND="${CDEPEND}
+ virtual/pkgconfig
+"
+RDEPEND="${CDEPEND}
+ ${PYTHON_DEPS}"
+
+S=${WORKDIR}/${MY_P}
+DOCS=(AUTHORS Changelog README.md TODO)
+
+src_prepare() {
+ epatch_user
+ qt4-r2_src_prepare
+}
+
+src_configure() {
+ # Custom configure script, econf fails
+ local myconf=(
+ ./configure
+ --prefix="${EPREFIX}/usr"
+ --with-qtsingleapplication=system
+ $(use dbus || echo --disable-qt-dbus)
+ $(use debug && echo --enable-debug)
+ $(use qt5 && echo --with-qt5)
+ $(use webui || echo --disable-webui)
+ $(use X || echo --disable-gui)
+ )
+
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die "configure failed"
+ use qt4 && eqmake4
+ use qt5 && eqmake5
+}